MD-UTILS(1p)

NAME
md-utils - Render markdown as HTML

USAGE
 md-utils.pl options [markdown-file]

Utility to add a table of contents and other goodies to your GitHub flavored markdown.

•   @TOC@ where you want to see your TOC.

•   @TOC_BACK@ to insert an internal link to TOC

•   @DATE(format-str)@ where you want to see a formatted date

•   @GIT_USER@ where you want to see your git user name

•   @GIT_EMAIL@ where you want to see your git email address

•   the --render option to render the HTML for the markdown

  Examples
 md-utils.pl README.md.in > README.md

 md-utils.pl -r README.md.in

  Options
 -B, --body     default is to add body tag, use --nobody to prevent
 -b, --both     interpolates intermediate file and renders HTML
 -c, --css      css file
 -e, --engine   github, text_markdown (default: text_markdown)
 -h             help
 -i, --infile   input file, default: STDIN
 -m, --mode     for GitHub API mode is 'gfm' or 'markdown' (default: markdown)
 -n, --no-titl  do not print a title for the TOC
 -o, --outfile  outfile, default: STDOUT
 -r, --render   render only, does NOT interpolate keywords
 -R, --raw      return raw HTML from engine
 -t, --title    string to use for a custom title, default: "Table of Contents"
 -v, --version  version
 -N, --nocss    do not add any CSS link

  Tips

•   Use !# to prevent a header from being include in the table of contents.

    Add your own custom back to TOC message @TOC_BACK(Back to Index)@

•   Date format strings are based on format strings supported by the Perl module 'Date::Format'.

    The default format is %Y-%m-%d if not format is given.

•   use the --nobody tag to return the HTML without the <html><body></body></html>
      wrapper.

    "--raw" mode will also return HTML without wrapper.